<?php

namespace App\Service\SnipParser\Website;

use App\Service\SnipParser\AbstractParser;

class HtmlParser extends AbstractParser
{
    public static function getName(): string
    {
        return 'html';
    }

    public function parseView(string $content): string
    {
        return sprintf('<pre><code class="hljs">%s</code></pre>', htmlspecialchars($content));
    }
}